Capítulo 2. Iniciando o GIMP
| Parte I. Primeiros passos |

## Capítulo 2. Iniciando o GIMP

## 1. Executando o GIMP

Na maioria das vezes, você inicia o GIMP clicando em um ícone (se o seu sistema está configurado para fornecer-lhe um), ou digitando gimp na linha de comando. Se você tiver várias versões do GIMP instaladas, você pode precisar digitar gimp-2.8 para obter a versão mais recente. Você pode, se quiser, fornecer uma lista de arquivos de imagem na linha de comando após o nome do programa, e eles serão automaticamente abertos pelo GIMP ao se iniciar. Também é possível, claro, abrir os arquivos de dentro do GIMP, uma vez que ele esteja rodando.

A maioria dos sistemas operacionais suportam associações de arquivo, que associam uma classe de arquivos (como determinado pela sua extensão de nome de arquivo, como “.jpg”) com uma aplicação correspondente (como oGIMP). Quando os arquivos de imagem são devidamente “associados” com o GIMP, basta clicar duas vezes em uma imagem para abrir a mesma no GIMP.

### 1.1. Plataformas conhecidas

O GIMP é o manipulador de imagem com maior suporte a sistemas diferentesdisponível hoje. As plataformas em que se sabe que oGIMP funciona incluem:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, Solaris™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, e BeOS™.

O GIMP é facilmente transferido para outros sistemas operacionais, devido a disponibilidade de seu código fonte. Para mais informações visite a página inicial para desenvolvedores doGIMP. [GIMP-DEV].

### 1.2. Idioma

O GIMP detecta automaticamente o idioma do sistema. No caso improvável da detecção de idioma falhar, ou se você só quer usar uma linguagem diferente, desde o GIMP 2.8, você pode fazê-lo em: Editar → Preferências → Interface.

Você também pode usar:

No Linux

  No Linux ou Mac OS X: no terminal, digite `LANGUAGE=pt_BR.utf-8 gimp` ou `LANG=pt_BR.utf-8 gimp` substituindo pt_BR.utf-8 por fr.utf-8, de.utf-8, en, ... de acordo com o idioma que você deseja. Usar: `LANGUAGE=pt_BR.utf-8` define uma variável de ambiente para a execução do programa `gimp`.

No Windows XP

  Painel de Controle → Sistema → Avançado → Ambiente ná área“Variáveis de Sistema”, botão Adicionar: Entre LANG para o nome e pt_BR, ou fr, ou de ... para a entrada “Nome” e para fr, ou it, etc.. para “Valor”. Cuidado! Você tem que clicar em três botões OK sucessivos para validar a sua escolha.

  Se você alterar os idiomas muitas vezes, você pode criar um arquivo de lote para alterar o idioma. Abra o bloco de notas. Digite os seguintes comandos (para o portugês, por exemplo):

  `set lang=pt_BR
  start gimp-2.8.exe`

  Salve esse arquivo como `GIMP-PT.BAT` (ou outro nome, mas sempre com a extensão `.BAT`). Criar um atalho para esse arquivo e arraste-o para a sua Área de Trabalho.

  Outra possibilidade no Windows XP: Iniciar → Programas → GTK Runtime Environment Então Selecione a linguagem e selecione a linguagem que você deseja na lista flutuante.

No Apple Mac OS X

  Em Preferências do Sistema, clique no ícone internacional. Na guia Idioma, o idioma desejado deve ser o primeiro na lista.

Outra instância GIMP

  Use a opção `-n` para executar várias instâncias do GIMP. Por exemplo, use `gimp-2.8` para iniciar o GIMP, no idioma padrão do sistema, e `LANGUAGE=en gimp-2.8 -n` para iniciar outra instância do GIMP em Inglês, o que é muito útil para tradutores.

### 1.3. Argumentos da Linha de Comando

Embora os argumentos não sejam necessários ao iniciar GIMP, os argumentos mais comuns são mostrados abaixo. Em um sistema Unix, você pode usar `man gimp` para uma lista completa.

Argumentos de linha de comando devem estar na linha de comando que você usa para iniciar o GIMP como gimp-2.8 [opção ...] [ARQUIVO| URL ...].

-?, --help

  Exibe uma lista de todas as opções de linha de comando.

--help-all

  Mostra todas as opções de ajuda.

--help-gtk

  Mostrar as opções do GTK+.

-v, --version

  Imprime a versão do GIMP e sai.

--license

  Mostrar informações de licença e sai.

--verbose

  Mostrar as mensagens de inicialização em detalhes.

-n, --new-instance

  Iniciar uma nova instância do GIMP.

-a, --as-new

  Abre as imagens como se fossem novas.

-i, --no-interface

  Executa sem uma interface de usuário, por exemplo, para se executar um script automaticamente, junto com a função --batch

-d, --no-data

  Não carrega texturas, degradês, paletas ou pincéis. Muitas vezes, útil em situações não-interativas, onde o tempo de inicialização deve ser minimizado.

-f, --no-fonts

  Não carrega nenhuma fonte (tipográfica). Isso é útil para carregar o GIMP mais rápido para os scripts que não utilizam fontes, ou para encontrar problemas relacionados a fontes com problemas que possam fazer o GIMP travar.

-s, --no-splash

  Não mostra a tela inicial durante a inicialização.

--no-shm

  Não use memória compartilhada entre o GIMP e plug-ins.

--no-cpu-accel

  Não use funções especiais de aceleração de CPU. Útil para encontrar ou desativar bugs das funções aceleradas em hardware.

--session=`nome`

  Use um arquivo `sessionrc` diferente para esta sessão doGIMP. O nome de sessão dado é anexado ao nome do arquivo padrão - `sessionrc`.

--gimprc=`Nome do arquivo`

  Use um arquivo `gimprc` alternativo em vez do padrão. O arquivo `gimprc` contém um registro de suas preferências. Útil nos casos em que os caminhos dos plugins ou características da máquina possam ser diferentes, ou para ter diferentes configurações dependendo do tipo de trabalho que você vai fazer.

--system-gimprc=`Nome do arquivo`

  Usa um arquivo gimprc alternativo, em vez do gimprc do sistema.

-b, --batch=`comandos`

  Executa o conjunto de comandos dados não interativamente. O conjunto de comandos é tipicamente na forma de um script que pode ser executado por uma das extensões de script do GIMP. Quando o comando é `-`, os comandos são lidos da entrada padrão. Pode ser usado em conjunto com a opção --no-interface

--batch-interpreter=`proc`

  Especificar o procedimento a usar para processar os comandos de lote. O procedimento padrão é o Script-Fu.

--console-messages

  Não criar caixas de diálogo pop-up com erros ou avisos. Imprimir as mensagens no console ao invés disso.

--pdb-compat-mode=`modo`

  Modo de compatibilidade do PDB. Os modos são "off", "on", "warn" (desligado, ligado, aviso). O padrão é "aviso".

--stack-trace-mode=`modo`

  Depurar no caso de uma falha. Os modos são "never", "query", "always" (nunca, consultar, sempre)

--debug-handlers

  Habilita manipuladores de sinais de depuração não-fatais. Útil para depuração do GIMP.

--g-fatal-warnings

  Tornar todos os avisos fatais. Útil para depuração.

--dump-gimprc

  Imprime um arquivo gimprc com as configurações padrão. Útil se você estragou o seu arquivo gimprc.

--display=`display`

  Use o display X designado (não se aplica a todas as plataformas).

2. O que há de novo no GIMP-2.8? |  | 2. Iniciando o GIMP pela primeira vez

Crie um relato de erro no Bugzilla